Update a bank account Run in API Explorer
Ask AI
Body
-
The UUIDs of the accounts who should own the bank account. These must only be client accounts.
-
The UUIDs of the accounts who should have the bank account as their primary bank account.
-
The friendly name for the bank account.
Maximum length is
255. -
The name of the bank account holder(s) as it appears on statements
Maximum length is
255. -
The bank account number.
-
The bank account sort code
PUT
/api/v2/bank-accounts/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v2/bank-accounts/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"account_uuids": [
"ac8e01d7-c051-40a4-a283-ade8c6d296f1",
"576b3b88-2789-4ce1-b274-e159f5a42bf3",
"6c27a843-aec5-440a-a916-67e4f1da18a4"
],
"primary_account_uuids": [
"baa0bfa6-886b-4886-bfb6-a73d23202540",
"6988747d-2ef4-46bd-99ab-27c65d51bbb2",
"68bf20ca-46eb-40a9-8649-0c6bdb5360d7"
],
"account_name": "My Savings Account",
"account_holders": "Mr John A Smith",
"account_number": "01234567",
"sort_code": "012345"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"account_uuids": [
"ac8e01d7-c051-40a4-a283-ade8c6d296f1",
"576b3b88-2789-4ce1-b274-e159f5a42bf3",
"6c27a843-aec5-440a-a916-67e4f1da18a4"
],
"primary_account_uuids": [
"baa0bfa6-886b-4886-bfb6-a73d23202540",
"6988747d-2ef4-46bd-99ab-27c65d51bbb2",
"68bf20ca-46eb-40a9-8649-0c6bdb5360d7"
],
"account_name": "My Savings Account",
"account_holders": "Mr John A Smith",
"account_number": "01234567",
"sort_code": "012345"
}
Response examples (200)
{
"uuid": "1ca00c27-91c1-4d62-a364-0f154711a65f",
"created_at": "2026-10-28T10:39:29+00:00",
"updated_at": "2026-10-28T10:39:29+00:00",
"account_name": "Savings Account",
"account_holders": "Mr John A Smith",
"account_number": "12345678",
"sort_code": "123456",
"accounts": {
"uuid": "e86a3dfe-2ab4-4ae1-8d0c-1f0891de6224",
"created_at": "2026-10-28T10:39:29+00:00",
"updated_at": "2026-10-28T10:39:29+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "aa9d829d-1801-43a0-b785-5f68dad9f6d1",
"created_at": "2026-10-28T10:39:33+00:00",
"updated_at": "2026-10-28T10:39:33+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"primary_accounts": {
"uuid": "ef08b837-21de-40a5-991f-2f7a5886e17b",
"created_at": "2026-10-28T10:39:29+00:00",
"updated_at": "2026-10-28T10:39:29+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "aa9d829d-1801-43a0-b785-5f68dad9f6d1",
"created_at": "2026-10-28T10:39:33+00:00",
"updated_at": "2026-10-28T10:39:33+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
}
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}